# ============================================================
# easysocket 自身的混淆规则（仅当本模块 minifyEnabled=true 时生效，当前默认 false）
# 实际包名：com.easysocket
# ============================================================

-keep class com.easysocket.** { *; }
-keepclassmembers class com.easysocket.** {
    public <init>(...);
    <fields>;
    <methods>;
}
-keepattributes Signature,*Annotation*,InnerClasses,EnclosingMethod,RuntimeVisibleAnnotations,SourceFile,LineNumberTable
-dontwarn com.easysocket.**
